Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] Failed to emerge nvidia-drivers gentoo-sources-3.4
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3116
Location: Berlin

PostPosted: Wed May 23, 2012 7:08 pm    Post subject: [gelöst] Failed to emerge nvidia-drivers gentoo-sources-3.4 Reply with quote

Hallo,
ich kann unter gentoo-sources-3.4.0 keine nvidia-treiber installieren. Unter gentoo-sources-3.3.0 funktioniert das.
Code:
In file included from /var/tmp/portage/x11-drivers/nvidia-drivers-295.49/work/kernel/nv.c:13:0:
/var/tmp/portage/x11-drivers/nvidia-drivers-295.49/work/kernel/nv-linux.h:114:75: fatal error: asm/system.h: No such file or directory
compilation terminated.
make[4]: *** [/var/tmp/portage/x11-drivers/nvidia-drivers-295.49/work/kernel/nv.o] Error 1
make[3]: *** [_module_/var/tmp/portage/x11-drivers/nvidia-drivers-295.49/work/kernel] Error 2
make[2]: *** [sub-make] Fehler 2
NVIDIA: left KBUILD.
nvidia.ko failed to build!
make[1]: *** [module] Fehler 1
make: *** [module] Fehler 2
emake failed
 * ERROR: x11-drivers/nvidia-drivers-295.49 failed (compile phase):
 *   Unable to emake HOSTCC=x86_64-pc-linux-gnu-gcc CROSS_COMPILE=x86_64-pc-linux-gnu- LDFLAGS=-m elf_x86_64 ARCH=x86_64 IGNORE_CC_MISMATCH=yes V=1 SYSSRC=/usr/src/linux               SYSOUT=/lib/modules/3.4.0-gentoo/build CC=x86_64-pc-linux-gnu-gcc clean module
 *
 * Call stack:
 *     ebuild.sh, line   85:  Called src_compile
 *   environment, line 3775:  Called linux-mod_src_compile
 *   environment, line 2726:  Called die
 * The specific snippet of code:
 *               eval "emake HOSTCC=\"$(tc-getBUILD_CC)\"                  CROSS_COMPILE=${CHOST}-                                          LDFLAGS=\"$(get_abi_LDFLAGS)\"                                              ${BUILD_FIXES}                                              ${BUILD_PARAMS}            ${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CROSS_COMPILE=${CHOST}- LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";
 *
 * If you need support, post the output of 'emerge --info =x11-drivers/nvidia-drivers-295.49',
 * the complete build log and the output of 'emerge -pqv =x11-drivers/nvidia-drivers-295.49'.
 * The complete build log is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-295.49/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-295.49/temp/environment'.
 * S: '/var/tmp/portage/x11-drivers/nvidia-drivers-295.49/work/'

>>> Failed to emerge x11-drivers/nvidia-drivers-295.49, Log file:

>>>  '/var/tmp/portage/x11-drivers/nvidia-drivers-295.49/temp/build.log'

 * Messages for package x11-drivers/nvidia-drivers-295.49:

 * ERROR: x11-drivers/nvidia-drivers-295.49 failed (compile phase):
 *   Unable to emake HOSTCC=x86_64-pc-linux-gnu-gcc CROSS_COMPILE=x86_64-pc-linux-gnu- LDFLAGS=-m elf_x86_64 ARCH=x86_64 IGNORE_CC_MISMATCH=yes V=1 SYSSRC=/usr/src/linux               SYSOUT=/lib/modules/3.4.0-gentoo/build CC=x86_64-pc-linux-gnu-gcc clean module
 *
 * Call stack:
 *     ebuild.sh, line   85:  Called src_compile
 *   environment, line 3775:  Called linux-mod_src_compile
 *   environment, line 2726:  Called die
 * The specific snippet of code:
 *               eval "emake HOSTCC=\"$(tc-getBUILD_CC)\"                  CROSS_COMPILE=${CHOST}-                                          LDFLAGS=\"$(get_abi_LDFLAGS)\"                                              ${BUILD_FIXES}                                              ${BUILD_PARAMS}            ${BUILD_TARGETS} " || die "Unable to emake HOSTCC="$(tc-getBUILD_CC)" CROSS_COMPILE=${CHOST}- LDFLAGS="$(get_abi_LDFLAGS)" ${BUILD_FIXES} ${BUILD_PARAMS} ${BUILD_TARGETS}";
 *
 * If you need support, post the output of 'emerge --info =x11-drivers/nvidia-drivers-295.49',
 * the complete build log and the output of 'emerge -pqv =x11-drivers/nvidia-drivers-295.49'.
 * The complete build log is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-295.49/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-drivers/nvidia-drivers-295.49/temp/environment'.

Kann das mit
Code:
der neuen x32 ABI für 64-bit mode
zu tun haben?

Last edited by flammenflitzer on Thu May 24, 2012 5:37 pm; edited 1 time in total
Back to top
View user's profile Send private message
yseq
n00b
n00b


Joined: 17 Sep 2010
Posts: 15

PostPosted: Wed May 23, 2012 7:39 pm    Post subject: Reply with quote

Ich hab damit gepatcht, 1er Post:
http://comments.gmane.org/gmane.linux.suse.opensuse.devel/42084

Das Problem, dass ich mit dem neuen Kernel hatte, war dass ich den gcc neu bauen musste, nachdem ein regulärerer gentoo Patch eingespielt wurde, damit der Kernel baut.
Leider weiß ich nicht, wie ich auf Ubuntu das Problem lösen soll.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Thu May 24, 2012 6:14 am    Post subject: Reply with quote

https://bugs.gentoo.org/show_bug.cgi?id=414645
Nimm den nvidia-drivers-295.53, mit denen geht das.
Back to top
View user's profile Send private message
yseq
n00b
n00b


Joined: 17 Sep 2010
Posts: 15

PostPosted: Thu May 24, 2012 8:29 am    Post subject: Reply with quote

Ja stimmt, aber der 295.53er wird auch seit gestern erst angeboten.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Thu May 24, 2012 8:32 am    Post subject: Reply with quote

yseq wrote:
Ja stimmt, aber der 295.53er wird auch seit gestern erst angeboten.

Aus dem ChangLog:
Code:
*nvidia-drivers-295.53 (21 May 2012)
   
   21 May 2012; Doug Goldstein <cardoe@gentoo.org> nvidia-drivers-290.10.ebuild,
   nvidia-drivers-290.10-r2.ebuild, nvidia-drivers-295.20-r1.ebuild,
   nvidia-drivers-295.40.ebuild, nvidia-drivers-295.49.ebuild,
   +nvidia-drivers-295.53.ebuild:
   Version bump to support Linux 3.4.x and fix missing depend on GTK+ when
   installing nvidia-settings. bug #415795 and bug #414645

Also schon seit drei Tagen - ist aber für die Lösung des Problems wurscht ;)
Back to top
View user's profile Send private message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3116
Location: Berlin

PostPosted: Thu May 24, 2012 5:36 pm    Post subject: Reply with quote

Danke
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum